using System;
using System.Collections.Generic;
using System.Linq;

namespace Petlja
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string input1 = Console.ReadLine() ?? "";
            int n = int.Parse(input1.Split(' ')[0]);
            int l = int.Parse(input1.Split(' ')[1]);

            string input2 = Console.ReadLine() ?? "0";
            List<int> h = input2.Split(' ').Select(int.Parse).ToList();

            for (int i = 0; i < n; i++)
            {
                if (l >= h[i])
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }
            Console.WriteLine("-1");
        }
    }
}